Get organization details – Management API – MediaKind
Get organization details
Get https://app.mk.io/api/v1/user/organizations/:organization_id
Get one organization name and state
Requires authentication; no additional RBAC permissions required.
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- organization_id : string Required format: uuid
Response
200 OK
kind : string Optional
The kind of record.metadata : object UserOrganizationMetadataSchema Optional
Metadata.
Show 2 propertiesid : string Required format: uuid
ID of the organization.- name : string Required
Name of the organization.
- name : string Required
spec : object UserOrganizationSpecSchema Optional
Specification.
Show 1 propertyinvite : object UserOrganizationPendingInviteSchema Optional
Pending invitation to work with this organization.
Show 3 propertiescomment : string Required
Comment from the inviter.- invitedBy : string or null Required
Email of the user who sent the invite. - state : enum Required
State of the invite.
Allowed values: accepted, pending
- invitedBy : string or null Required
Errors
400 Bad Request
error : object ErrorDetail Required
Pertinent information about the error
Show 3 propertiescode : string Required
The error code.- detail : string Required
The error message. - extraDetail : map from strings to any Optional
Extra information regarding this error.
Show value schema - ref : string Required
A reference to the request that caused the error. - status : integer Required
The HTTP status code
- detail : string Required